#567 closed defect (fixed)

Both BSP and controller-specific probes should be invoked

Reported by: Victor V. Vengerov Owned by: Chris Johns
Priority: normal Milestone: 4.9
Component: fs Version: 4.6
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

In the function ide_controller_initialize, file c/src/libchip/ide/ide_controller.c, controller-specific
probe not called if BSP-specific probe function provided and returns TRUE. I beleive this is not correct. In my opinion,
both BSP-specific and IDE controller driver-specific
probes should return TRUE if both of them provided.

Release:
RTEMS-4.6

Attachments (1)

ide-probe.patch (852 bytes) - added by Victor V. Vengerov on Dec 3, 2006 at 1:31:12 PM.
ide-probe.patch

Download all attachments as: .zip

Change History (5)

Changed on Dec 3, 2006 at 1:31:12 PM by Victor V. Vengerov

Attachment: ide-probe.patch added

ide-probe.patch

comment:1 Changed on Aug 5, 2008 at 4:28:41 PM by Joel Sherrill

Cc: Joel Sherrill added
Milestone: 4.9
Owner: changed from Jennifer Averett to Chris Johns
rep_platform: All
Status: assignednew

comment:2 Changed on May 15, 2010 at 6:18:25 AM by Chris Johns

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:3 Changed on May 15, 2010 at 6:23:18 AM by Chris Johns

Resolution: fixed
Status: newclosed

comment:4 Changed on May 15, 2010 at 6:23:33 AM by Chris Johns

Closed.

Note: See TracTickets for help on using tickets.